前言

1. 简介

我们的目标为您生成一个完整和现代Web应用或者微服务架构, 具体如下:

基于Spring Boot, 提供高性能和健壮的Java技术栈服务端 基于Vue, 提供时尚、现代、移动优化的前端 一个健壮的微服务架构, 包括Gateway，Microservice，Nocas, Elastic组件和Docker等 使用Yarn和Maven为应用构建提供强大的支撑

2. 后端技术栈

完整的[Spring](https://spring.io/)应用:

- 基于[Spring Boot](https://spring.io/projects/spring-boot)提供应用配置简化

- [Maven](https://maven.apache.org/)构建，测试，运行应用

- [Spring Security](https://spring.io/projects/spring-security)组件

- [JSON Web](https://jwt.io/)令牌（JWT）身份验证安全机制

- [Spring MVC REST](https://spring.io/guides/gs/rest-service/) + Jackson

- [Swagger](https://swagger.io/)来自动生成REST Controller API文档

- [Zalando Problem Spring Web](https://github.com/zalando/problem-spring-web)处理异常

- [Mybatis-plus / Spring Data JPA](https://mp.baomidou.com/)和Bean校验

- 基于[Liquibase](https://www.liquibase.org/)数据库更新

- Elasticsearch支持，如果你需要基于你的数据库提供高级搜索能力

- MongoDB支持, 如果你想使用面向文档的NOSQL数据库替代JPA

- RocketMQ支持, 如果你需要一个消息发布订阅系统

- 构建标准可执行的JAR文件

微服务Microservices:
生产环境组件:

代码结构
1. 整体结构

后端技术架构
2 / 7
|─ ─ eam-core 系统后台核心代码，domain+service
|─ ─ eam-dependencies 项目依赖组件版本控制，dependencyManagement
|─ ─ eam-provider 服务接口提供，下级可含多个microservice子项目
|─ ─ eam-provider-api 具体微服务接口，dto+rest，含boot
|─ ─ eam-util 公共辅助项目，util+helper
ibzou-core 项目基于“后台服务体系”发布，core项目为整个工程项目的核心，主要包括各个实体:
domain定义
dao层（mapper/repository/feignclient)
service
|─ ─ eam-core
|─ ─ src
|─ ─ main
|─ ─ java
|─ ─ cn.ibizlab 代码包名
|─ ─ core 子项目类型
|─ ─ ou 模块名
|─ ─ domain 各实体domain定义
|─ ─ filter 各实体查询过滤器
|─ ─ mapper 各实体dao层
|─ ─ service 各实体service接口定义
|─ ─ impl 各实体service实现
|─ ─ resources
|─ ─ liquibase 数据库结构版本控制
|─ ─ mapper mybatis mapper.xml
|─ 